## ros-jazzy-rmf-building-map-tools 1.9.1

=== debian/changelog ===
ros-jazzy-rmf-building-map-tools (1.9.1-1bookworm) bookworm; urgency=high



 -- Morgan Quigley <mquigley@openrobotics.org>  Fri, 14 Jun 2024 16:00:00 -0000

ros-jazzy-rmf-building-map-tools (1.9.0-1bookworm) bookworm; urgency=high

  * Fix MultiPolygon not iterable (#496 <https://github.com/open-rmf/rmf_traffic_editor/pull/496>)
  * Harmonic release and ECS refactor (#483 <https://github.com/open-rmf/rmf_traffic_editor/pull/483>)
  * workaround fuel dup (#490 <https://github.com/open-rmf/rmf_traffic_editor/pull/490>)
  * Add per_page arg to fuel pagination for pit_crew (#491 <https://github.com/open-rmf/rmf_traffic_editor/pull/491>)
  * bugfix: specify coordiate_system when generating yaml for lift. (#488 <https://github.com/open-rmf/rmf_traffic_editor/pull/488>)
  * Handle geometry collections (#476 <https://github.com/open-rmf/rmf_traffic_editor/pull/476>)
  * Contributors: Arjo Chakravarty, Grey, Luca Della Vedova, Teo Koon Peng, Xiyu, cwrx777, methylDragon, Yadunund

 -- Morgan Quigley <mquigley@openrobotics.org>  Fri, 31 May 2024 16:00:00 -0000

ros-jazzy-rmf-building-map-tools (1.8.2-1bookworm) bookworm; urgency=high

  * Export door information to nav graphs (#479 <https://github.com/open-rmf/rmf_traffic_editor/pull/479>)
  * Export lift information to nav graphs (#478 <https://github.com/open-rmf/rmf_traffic_editor/pull/478>)

 -- Morgan Quigley <mquigley@openrobotics.org>  Thu, 14 Dec 2023 16:00:00 -0000

ros-jazzy-rmf-building-map-tools (1.8.1-1bookworm) bookworm; urgency=high

  * Fix gz classic model download (#470 <https://github.com/open-rmf/rmf_traffic_editor/pull/470>)
  * Contributors: Aaron Chong

 -- Morgan Quigley <mquigley@openrobotics.org>  Wed, 09 Aug 2023 16:00:00 -0000

ros-jazzy-rmf-building-map-tools (1.8.0-1bookworm) bookworm; urgency=high



 -- Morgan Quigley <mquigley@openrobotics.org>  Wed, 07 Jun 2023 16:00:00 -0000

ros-jazzy-rmf-building-map-tools (1.7.0-1bookworm) bookworm; urgency=high

  * Switch to rst changelogs (#464 <https://github.com/open-rmf/rmf_traffic_editor/pull/464>)
  * Add texture for white wall (#463 <https://github.com/open-rmf/rmf_traffic_editor/pull/463>)
  * Fix navgraph generation for connected docking waypoints (#452 <https://github.com/open-rmf/rmf_traffic_editor/pull/452>)
  * Added 5 retries for model downloading failure (#455 <https://github.com/open-rmf/rmf_traffic_editor/pull/455>)
  * Migrate to using gzsim server url for fuel (#454 <https://github.com/open-rmf/rmf_traffic_editor/pull/454>)
  * Exiting model downloader with non-zero exit code (#453 <https://github.com/open-rmf/rmf_traffic_editor/pull/453>)
  * Contributors: Aaron Chong, Luca Della Vedova, Yadunund

 -- Morgan Quigley <mquigley@openrobotics.org>  Mon, 05 Jun 2023 16:00:00 -0000

ros-jazzy-rmf-building-map-tools (1.6.0-1bookworm) bookworm; urgency=high

  * Add Fuel tools dependency to rmf_building_map_tools (#444 <https://github.com/open-rmf/rmf_traffic_editor/pull/444>)
  * Fix building_map_server crashes when level scale is not defined (#442 <https://github.com/open-rmf/rmf_traffic_editor/pull/442>)
  * Fixed usage of download_models (#440 <https://github.com/open-rmf/rmf_traffic_editor/pull/440>)
  * remove usage of deprecated np.asscalar() (#438 <https://github.com/open-rmf/rmf_traffic_editor/pull/438>)
  * Added a dispensable field for models (#436 <https://github.com/open-rmf/rmf_traffic_editor/pull/436>)
  * Only offset camera pose for global coordinate building when a floor is present (#434 <https://github.com/open-rmf/rmf_traffic_editor/pull/434>)
  * Move to collections.abc for crowdsim (#432 <https://github.com/open-rmf/rmf_traffic_editor/pull/432>)
  * Contributors: Aaron Chong, Luca Della Vedova, Morgan Quigley, Yadunund

 -- Morgan Quigley <mquigley@openrobotics.org>  Tue, 04 Oct 2022 16:00:00 -0000

ros-jazzy-rmf-building-map-tools (1.5.1-1bookworm) bookworm; urgency=high

  * Floor information for floor toggling plugin in Ignition (#424)
  * Use the Ignition Gazebo floor visibility plugin when generating worlds.
  * navgraph visualizer (#426)
    * new verb for building_map_generator that will generate navgraph visualization OBJ files, which can then be dropped into a Gazebo simulation to help understand what's going on.
  * update versions of pure python packages
  * Contributors: Luca Della Vedova, Morgan Quigley

 -- Morgan Quigley <mquigley@openrobotics.org>  Tue, 19 Apr 2022 16:00:00 -0000

ros-jazzy-rmf-building-map-tools (1.5.0-1bookworm) bookworm; urgency=high

  * Always use ign=True and remove spaces when comparing model names (#412)
    * Always use ign=True and remove spaces when comparing model names
    * Pit crew makes model paths available, when checking for missing models, for exporting (#414)
    * Reverted the use of remove_spaces as model names with spaces are used for downloading models
  * if map_version is present, copy it into GeoJSON (#415)
  * Update package.xml (#406)
  * Feature: serve BuildingMap message when loading GeoJSON file in building_map_server (#404)
    * Create a BuildingMap message when serving from GeoJSON file
    * use RTree to speed up BuildingMap creation from GeoJSON
    * use reasonable default scale for Cartesian maps
    * add python3-rtree dependency to GitHub workflow
  * First steps towards GeoJSON (#403)
    * add GeoJSON support to building_map_server: to start, just vertices and lanes
    * compress GeoJSON output on-the-fly
    * add support for GeoJSON to building_map_converter, auto-detecting based on filename suffix
    * GeoJSON: include preferred projected CRS and suggested coordinate offset for simulation as top-level keys
    * sort GeoJSON keys in building map server for consistency in diffs
    * fix crash for non-geolocated/legacy maps
  * Cartesian worlds (y=up) and steps towards using GeoPackage (#396)
    * create passthrough transform for cartesian_meters coordinate systems
    * pass coordinate system to vertex draw, to flip text as needed

