=== debian/control ===
Source: ros-jazzy-rmf-building-map-tools
Section: misc
Priority: optional
Maintainer: Morgan Quigley <mquigley@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-jazzy-rmf-building-map-msgs, ros-jazzy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-rmf-building-map-tools
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, libyaml-cpp-dev, python3-fiona, python3-pyproj, python3-requests, python3-rtree, python3-shapely, python3-yaml, ros-jazzy-ament-index-python, ros-jazzy-gz-fuel-tools-vendor, ros-jazzy-rclpy, ros-jazzy-rmf-building-map-msgs, ros-jazzy-rmf-site-map-msgs, ros-jazzy-std-msgs, sqlite3, ros-jazzy-ros-workspace
Description: RMF Building map tools
